public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/zope-i18nmessageid/
Date: Sat,  9 Apr 2022 20:23:24 +0000 (UTC)	[thread overview]
Message-ID: <1649535798.f44a862c4204f8da99672dcc565a5d4183ee5c45.mgorny@gentoo> (raw)

commit:     f44a862c4204f8da99672dcc565a5d4183ee5c45
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  9 20:11:16 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Apr  9 20:23:18 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f44a862c

dev-python/zope-i18nmessageid: EAPI 8, PEP517, remove namespace dep

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 .../zope-i18nmessageid-5.0.1-r1.ebuild             | 51 ++++++++++++++++++++++
 1 file changed, 51 insertions(+)

diff --git a/dev-python/zope-i18nmessageid/zope-i18nmessageid-5.0.1-r1.ebuild b/dev-python/zope-i18nmessageid/zope-i18nmessageid-5.0.1-r1.ebuild
new file mode 100644
index 000000000000..834931f505be
--- /dev/null
+++ b/dev-python/zope-i18nmessageid/zope-i18nmessageid-5.0.1-r1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+MY_PN=${PN/-/.}
+MY_P=${MY_PN}-${PV}
+DESCRIPTION="Zope support for i18nmessageid (tagging source of i18n strings)"
+HOMEPAGE="
+	https://pypi.org/project/zope.i18nmessageid/
+	https://github.com/zopefoundation/zope.i18nmessageid/
+"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+RDEPEND="
+	dev-python/six[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+	# strip rdep specific to namespaces
+	sed -i -e "s:'setuptools',::" setup.py || die
+	distutils-r1_src_prepare
+}
+
+python_compile() {
+	distutils-r1_python_compile
+	find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+	cd "${BUILD_DIR}/install$(python_get_sitedir)" || die
+	# this is needed to keep the tests working while
+	# dev-python/namespace-zope is still installed
+	cat > zope/__init__.py <<-EOF || die
+		__path__ = __import__('pkgutil').extend_path(__path__, __name__)
+	EOF
+	eunittest
+	rm zope/__init__.py || die
+}


             reply	other threads:[~2022-04-09 20:23 UTC|newest]

Thread overview: 43+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-04-09 20:23 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-05  8:19 [gentoo-commits] repo/gentoo:master commit in: dev-python/zope-i18nmessageid/ Arthur Zamarin
2024-10-05  7:40 Arthur Zamarin
2024-09-18 14:03 Michał Górny
2024-06-18 15:56 Michał Górny
2023-11-05 20:58 Michał Górny
2023-11-05 20:07 Sam James
2023-11-05 20:07 Sam James
2023-11-05 19:12 Arthur Zamarin
2023-10-05 13:56 Michał Górny
2023-06-06  6:13 Michał Górny
2023-05-04 17:04 Michał Górny
2023-04-28 15:57 Arthur Zamarin
2023-04-28 15:55 Arthur Zamarin
2023-04-28 15:55 Arthur Zamarin
2023-04-28 14:52 Arthur Zamarin
2023-03-24 12:30 Michał Górny
2023-03-23 16:36 Michał Górny
2023-03-21  6:49 Michał Górny
2023-03-17 18:28 Michał Górny
2022-12-10 15:52 Michał Górny
2022-12-10 14:33 Arthur Zamarin
2022-12-10 14:33 Arthur Zamarin
2022-12-10  8:50 Arthur Zamarin
2022-11-17 18:34 Arthur Zamarin
2022-11-07  5:54 Michał Górny
2022-05-18 10:56 Michał Górny
2022-04-22 15:35 Michał Górny
2022-04-22 15:35 Michał Górny
2022-04-22 13:56 Arthur Zamarin
2022-04-22 13:56 Arthur Zamarin
2022-04-22 13:56 Arthur Zamarin
2022-04-11 19:58 Michał Górny
2022-04-09 21:47 Jakov Smolić
2021-05-31 12:09 Michał Górny
2021-03-10 15:18 Michał Górny
2020-10-16 18:22 Michał Górny
2020-08-22  7:13 Michał Górny
2020-08-18 14:59 Sam James
2020-08-02  9:33 Michał Górny
2020-03-29 12:22 Michał Górny
2019-11-30  8:28 Michał Górny
2017-12-11  3:49 Matt Thode

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1649535798.f44a862c4204f8da99672dcc565a5d4183ee5c45.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox